## zotero-standalone-build 4.0.29.16+dfsg

=== zotero-build/xpi/zotero-transfw/Makefile ===
FILES=Digital_Humanities_Quarterly.js Atlantic.js Google_Scholar.js SFGate.js Wall_Street_Journal.js LA_Times.js Washington_Monthly.js New_Yorker.js VoxEU.js
INSTALL_DIR=FIXME
%.js : %.js.in
	sed -e '/@framework@/{r framework.js' -e 'd;}' $< > $@

all: $(FILES)

clean:
	rm -f $(FILES)

install: all
	cp $(FILES) $(INSTALL_DIR)

=== zotero/test/resource/chai/Makefile ===

TESTS = test/*.js
REPORTER = dot

#
# Browser Build
#

all: chai.js

chai.js: node_modules lib/*
	@printf "==> [Browser :: build]\n"
	@./node_modules/.bin/browserify \
	 	--bare \
		--outfile chai.js \
		--standalone chai \
		--entry index.js

#
# Release Task
#

define release
	./node_modules/.bin/bump -y --$(1) package.json lib/chai.js
	make chai.js
	git add --force chai.js lib/chai.js package.json bower.json
	npm ls --depth=-1 --long . --loglevel silent | head -1 | git commit -F-
endef

release-patch:
	@$(call release,patch)

release-minor:
	@$(call release,minor)

release-major:
	@$(call release,major)

#
# Node Module
#

node_modules: package.json
	@npm install

#
# Tests
#

test: test-node test-phantom

test-node: node_modules
	@printf "==> [Test :: Node.js]\n"
	@NODE_ENV=test ./node_modules/.bin/mocha \
		--require ./test/bootstrap \
		--reporter $(REPORTER) \
		$(TESTS)

test-cov: node_modules
	@NODE_ENV=test ./node_modules/.bin/istanbul cover ./node_modules/.bin/_mocha -- \
		--require ./test/bootstrap \
		$(TESTS) \

test-phantom: chai.js
	@printf "==> [Test :: Karma (PhantomJS)]\n"
	@./node_modules/karma/bin/karma start \
		--single-run --browsers PhantomJS

test-firefox: chai.js
	@printf "==> [Test :: Karma (Firefox)]\n"
	@./node_modules/karma/bin/karma start \
		--browsers Firefox

test-sauce: chai.js
	@printf "==> [Test :: Karma (Sauce)]\n"
	@CHAI_TEST_ENV=sauce ./node_modules/karma/bin/karma start \
		--single-run

test-travisci:
	@echo TRAVIS_JOB_ID $(TRAVIS_JOB_ID)
	@make test-cov
	@make test-sauce

#
# Clean up
#

clean: clean-node clean-browser clean-cov

clean-node:
	@rm -rf node_modules

clean-browser:
	@rm -f chai.js

clean-cov:
	@rm -rf coverage

#
# Instructions
#

.PHONY: all
.PHONY: test test-all test-node test-phantom test-sauce test-cov
.PHONY: clean clean-node clean-browser clean-cov
.PHONY: release-patch release-minor release-major

=== zotero/test/resource/mocha/Makefile ===

REPORTER ?= spec
TM_BUNDLE = JavaScript\ mocha.tmbundle
SRC = $(shell find lib -name "*.js" -type f | sort)
SUPPORT = $(wildcard support/*.js)

all: mocha.js

lib/browser/diff.js: node_modules/diff/diff.js
	cp node_modules/diff/diff.js lib/browser/diff.js

lib/browser/escape-string-regexp.js: node_modules/escape-string-regexp/index.js
	cp node_modules/escape-string-regexp/index.js lib/browser/escape-string-regexp.js

mocha.js: $(SRC) $(SUPPORT) lib/browser/diff.js lib/browser/escape-string-regexp.js
	@node support/compile $(SRC)
	@cat \
	  support/head.js \
	  _mocha.js \
	  support/tail.js \
	  support/foot.js \
	  > mocha.js

clean:
	rm -f mocha.js
	rm -rf test-outputs
	rm -fr lib-cov
	rm -f coverage.html

test-cov: lib-cov
	@COV=1 $(MAKE) test REPORTER=html-cov > coverage.html

lib-cov:
	@rm -fr ./$@
	@jscoverage lib $@

test: test-unit

test-all: test-bdd test-tdd test-qunit test-exports test-unit test-integration test-jsapi test-compilers test-glob test-requires test-reporters test-only

test-jsapi:
	@node test/jsapi

test-unit:
	@./bin/mocha \
		--reporter $(REPORTER) \
		test/acceptance/*.js \
		--growl \
		test/*.js

test-integration:
	@./bin/mocha \
		--reporter $(REPORTER) \
		test/integration/*.js

test-compilers:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--compilers coffee:coffee-script/register,foo:./test/compiler/foo \
		test/acceptance/test.coffee \
		test/acceptance/test.foo

test-requires:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--compilers coffee:coffee-script/register \
		--require test/acceptance/require/a.js \
		--require test/acceptance/require/b.coffee \
		--require test/acceptance/require/c.js \
		--require test/acceptance/require/d.coffee \
		test/acceptance/require/require.js

test-bdd:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui bdd \
		test/acceptance/interfaces/bdd

test-tdd:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui tdd \
		test/acceptance/interfaces/tdd

test-qunit:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui qunit \
		test/acceptance/interfaces/qunit

test-exports:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui exports \
		test/acceptance/interfaces/exports

test-glob:
	@./test/acceptance/glob/glob.sh

test-reporters:
	@./bin/mocha \
		--reporter $(REPORTER) \
		test/reporters/*.js

test-only:
	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui tdd \
		test/acceptance/misc/only/tdd

	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui bdd \
		test/acceptance/misc/only/bdd

	@./bin/mocha \
		--reporter $(REPORTER) \
		--ui qunit \
		test/acceptance/misc/only/qunit

test-mocha:
	@./bin/mocha \
		--reporter $(REPORTER) \
		test/mocha

non-tty:
	@./bin/mocha \
		--reporter dot \
		test/acceptance/interfaces/bdd 2>&1 > /tmp/dot.out

	@echo dot:
	@cat /tmp/dot.out

	@./bin/mocha \
		--reporter list \
		test/acceptance/interfaces/bdd 2>&1 > /tmp/list.out

	@echo list:
	@cat /tmp/list.out

	@./bin/mocha \
		--reporter spec \
		test/acceptance/interfaces/bdd 2>&1 > /tmp/spec.out

	@echo spec:
	@cat /tmp/spec.out

tm:
	@open editors/$(TM_BUNDLE)

.PHONY: test-cov test-jsapi test-compilers watch test test-all test-bdd test-tdd test-qunit test-exports test-unit test-integration non-tty tm clean

## zotero-standalone-build 4.0.22

=== debian/changelog ===
zotero-standalone-build (4.0.22-1) unstable; urgency=medium

  * New upstream release.
  * Drop 06_max_version patch.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Thu, 18 Sep 2014 21:20:18 +0200

zotero-standalone-build (4.0.21.5-1) unstable; urgency=medium

  * New upstream release.
  * patches/06_geko_version deleted.
  * Refresh patches.
  * Create max version patch.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 28 Jul 2014 20:52:51 +0200

zotero-standalone-build (4.0.20-2) unstable; urgency=medium

  * Checkk for iceweasel at startup.
  * Add iceweasel dependency (Closes: #751564).
  * Add geko version patch.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Sun, 15 Jun 2014 19:59:41 +0200

zotero-standalone-build (4.0.20-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update xulrunner dependencies (Closes: #749694).
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Tue, 03 Jun 2014 21:11:01 +0200

zotero-standalone-build (4.0.17-2) unstable; urgency=medium

  * debian/rules: build xul-ext-zotero.
  * debian/control: add xul-ext-zotero package and mozilla-devscitps build-dep.
  * remove ../xul-ext/zotero-standalone/COPYING
  * remove ../xul-ext/zotero-standalone/resource/tinymce/license.txt 
  * debian/xul-ext-zotero.lintian-override: new file.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Sun, 19 Jan 2014 22:18:59 +0100

zotero-standalone-build (4.0.17-1) unstable; urgency=low

  * New upstream release. 
  * Refresh patches.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 13 Jan 2014 21:21:53 +0100

zotero-standalone-build (4.0.14-1) unstable; urgency=low

  * New upstream release. 
  * Refresh patches.
  * Drop 06_xulrunner_version.diff.

 -- Michele Cane <michele.cane@gmail.com>  Thu, 21 Nov 2013 09:34:06 +0100

zotero-standalone-build (4.0.11-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add xulrunner-24.0 as alternative dependency.
  * Remove zotero-libreoffice-integration dummy package.
  * Increase xulrunner maximum version to 25.0 in launcher.
  * debian/patches/06_xulrunner_version.diff.

 -- Michele Cane <michele.cane@gmail.com>  Sun, 13 Oct 2013 16:02:52 +0200

zotero-standalone-build (4.0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Michele Cane <michele.cane@gmail.com>  Sat, 27 Jul 2013 12:58:36 +0200

zotero-standalone-build (4.0.8-1) unstable; urgency=low

  * New upstream release

 -- Michele Cane <michele.cane@gmail.com>  Wed, 19 Jun 2013 09:28:39 +0200

zotero-standalone-build (4.0.6-6) unstable; urgency=low

  * debian/control: add zotero-libreoffice-integration dummy

 -- Michele Cane <michele.cane@gmail.com>  Tue, 21 May 2013 10:18:18 +0200

zotero-standalone-build (4.0.6-5) unstable; urgency=low

  * Upload to unstable.
  * debian/control: fix description (Closes: #708507).
  * Disable install button for custom pdftotext and pdfinfo.
  * debian/control: replaces zotero-libreoffice-integration.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 20 May 2013 21:20:53 +0200

zotero-standalone-build (4.0.6-4) unstable; urgency=low

  * add xulrunner-17.0 dependency

 -- Michele Cane <michele.cane@gmail.com>  Wed, 15 May 2013 23:04:40 +0200

zotero-standalone-build (4.0.6-3) experimental; urgency=low

  * unzip extension with override_dh_auto_install and drop prerm and postint
  * debian/changelog: fix formatting

 -- Michele Cane <michele.cane@gmail.com>  Thu, 09 May 2013 23:12:08 +0200

zotero-standalone-build (4.0.6-2) experimental; urgency=low

  * debian/control: change Architecture to all.
  * debian/gbp.conf: pristine-tar=false.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 29 Apr 2013 10:38:40 +0200

zotero-standalone-build (4.0.6-1) experimental; urgency=low

  * New Upstream release
  * debian/control: rename zotero-libreoffice-integration
    to libreoffice-zotero-integration (Closes: #706006).
  * debian/zotero-standalone.postinst and debian/zotero-standalone.postinst:
    drop unopkg and use unzip (Closes: #706007).

 -- Michele Cane <michele.cane@gmail.com>  Tue, 23 Apr 2013 12:22:14 +0200

zotero-standalone-build (3.0.11.1-26-g08fb709-1) unstable; urgency=low

  * Initial release (Closes: #504058).

 -- Michele Cane <michele.cane@gmail.com>  Thu, 14 Mar 2013 12:05:11 +0100

=== debian/control ===
Source: zotero-standalone-build
Section: text
Priority: optional
Maintainer: Michele Cane <michele.cane@gmail.com>
Build-Depends: debhelper (>= 9.0.0), zip, unzip, mozilla-devscripts (>= 0.22)
Standards-Version: 3.9.5
Homepage: http://www.zotero.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zotero-standalone.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/zotero-standalone.git

Package: zotero-standalone
Architecture: all
Depends: xulrunner-17.0 | xulrunner-20.0 | xulrunner-24.0 | xulrunner-29 | iceweasel (>= 30), ${misc:Depends}
Enhances: libreoffice-libreoffice-integration
Description: organize and share your research sources
 Zotero helps you collect, manage, and cite your research sources.
 .
 Zotero allows you to store your libraries online, so that they can be
 accessed from any computer. Your online collections can also be shared with
 other Zotero users, letting you collaboratively create bibliographies and
 research notes. It can automatically gather bibliographic information about
 resources available in hundreds of databases, library catalogs and the web.
 .
 This package contains the standalone version of Zotero which does not
 require any Iceweasel/Firefox browser.

Package: xul-ext-zotero
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Iceweasel extension to organize and share your research sources
 Zotero helps you collect, manage, and cite your research sources.
 .
 Zotero allows you to store your libraries online, so that they can be
 accessed from any computer. Your online collections can also be shared with
 other Zotero users, letting you collaboratively create bibliographies and
 research notes. It can automatically gather bibliographic information about
 resources available in hundreds of databases, library catalogs and the web.

Package: libreoffice-zotero-integration
Architecture: all
Depends: zotero-standalone | xul-ext-zotero, libreoffice-java-common, ${misc:Depends}
Recommends: libreoffice-writer
Replaces: zotero-libreoffice-integration (<< 4.0.6-1)
Breaks: zotero-libreoffice-integration (<< 4.0.6-1)
Description: LibreOffice plugin to organize and share your research sources
 Zotero is helps you collect, manage,  and cite your research sources.
 It can automatically gather bibliographic information about resources
 available in hundreds of databases, library catalogs and the web.
 .
 Zotero also allows you to store your libraries online, so that they can be
 accessed from any computer. Your online collections can also be shared with
 other Zotero users, letting you collaboratively create bibliographies and
 research notes.
 .
 This package contains the plugin to integrate Zotero in LibreOffice Writer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN_VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d ' ' -f 2)

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	./build.sh -p l -v ${DEBIAN_VERSION} -d
	xpi-pack modules/zotero xul-ext-zotero.xpi
	dh_auto_build -a

override_dh_auto_install:
	rm -f staging/zotero-standalone/COPYING
	rm -f staging/zotero-standalone/xul-ext/zotero-standalone/COPYING
	rm -f staging/zotero-standalone/xul-ext/zotero-standalone/resource/tinymce/license.txt
	rm -f staging/zotero-libreoffice-integration/COPYING
	mkdir -p staging/Zotero_OpenOffice_Integration
	unzip staging/zotero-libreoffice-integration/install/Zotero_OpenOffice_Integration.oxt -d staging/Zotero_OpenOffice_Integration
	install-xpi -p xul-ext-zotero -r xul-ext-zotero.xpi
	dh_auto_install -a

override_dh_auto_clean:
	rm -rf staging
	rm -f xul-ext-zotero.xpi
	dh_auto_clean -a

## zotero-standalone-build 4.0.29.16+dfsg

=== debian/changelog ===
zotero-standalone-build (4.0.29.16+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0.29.16.
    + Upstream has ceased to use a separate version numbering for
      zotero-standalone-build. Therefore we now follow the version number of
      the zotero extension itself, and pin down specific git commits for the
      separate zotero-build and zotero-standalone-build repositories.
    + Compatible with Firefox 50. (Closes: #845943)
  * d/copyright: reflect upstream changes.
  * d/rules: new get-orig-source, for new source package layout.
  * d/control: add rsync in build dependencies.
  * d/control: bump minimal required Firefox version to 45.
  * d/p/firefox-48.patch: drop patch, no longer needed.
  * Bump to debhelper compat level 10.
  * d/watch: update to format v4; point directly to zotero github.
  * Add keywords to zotero.desktop.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 17 Jan 2017 19:04:05 +0100

zotero-standalone-build (4.0.29.5+dfsg-2) unstable; urgency=medium

  * d/p/firefox-48.patch: new patch, fixes startup issue with Firefox 48.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * d/control: clarify the relation of zotero-standalone with firefox.
    (Closes: #825104)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Aug 2016 23:14:14 +0200

zotero-standalone-build (4.0.29.5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.0.29.5+dfsg
  * d/copyright: reflect upstream changes.
  * 06_Max_Version.diff: no more maximum Firefox version for standalone zotero.
  * d/s/lintian-overrides: update list of false positive for minified JS.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Mar 2016 21:03:20 +0200

zotero-standalone-build (4.0.29.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.0.29.2+dfsg. (Closes: #817911)
  * d/copyright: reflect upstream changes.
  * d/source/lintian-overrides: update for minified javascript.
  * d/p/06_Max_Version.diff: update for Firefox 45.
  * d/control:
    + replace iceweasel dependency by firefox-esr | firefox.
    + update Vcs-Browser to be the same as Vcs-Git.
    + bump Standards-Version to 3.9.7, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 13 Mar 2016 17:29:05 +0100

zotero-standalone-build (4.0.28.8+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #795343, #805545)
    Repacked to remove various non-DFSG-free stuff, including stuff under win/.
  * Add missing source files for minified javascript code under
    debian/missing-sources/. (Closes: #788277)
    The file debian/source/lintian-overrides gives more details about the
    status of the various files (and overrides some false positives).
    Note that in the future it would be better to package csl-validator.js
    separately.
  * d/copyright: major overhaul.
  * Adopt package, and add Benda Xu to Uploaders. (Closes: #800155)
  * d/p/06_Max_Version.diff: update patch for iceweasel 44.
  * For the libreoffice extension: do not use the prepackaged OXT, and build JAR
    using javahelper.
    + d/p/messagebox.patch: new patch.
    + build-depend on ure, libjna-java, libjackson2-*-java.
    + use jh_build for building the JAR.
    + include special RegistrationHandler.classes file in JAR.
    + d/libreoffice-zotero-integration.manifest: add RegistrationClassName
      special field in manifest.
  * d/rules:
    + drop useless calls to debhelper with -a.
    + filter out the new test/ subdir in xpi archive.
    + simplify detection of Debian version using pkg-info.mk.
    + add a get-orig-source rule that creates the DFSG-free tarball.
  * d/control:
    + Bump iceweasel dependency for zotero-standalone.
    + Bump Standards-Version to 3.9.6, no changes needed.
    + Add missing xpi:Breaks for xul-ext-zotero.
    + Update Vcs-* fields. The git repository has been renamed to be identical
      to the name of the source package.
  * d/watch: update for +dfsg suffix mangling.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Jan 2016 23:16:06 +0100

zotero-standalone-build (4.0.26.2-1) unstable; urgency=medium

  * New upstream release (Closes: #757610).
  * Patches refreshed.
  * Increase Geko Max Version to 40 (06_Max_Version.diff) (Closes: #785793).

 -- Michele Cane <michele.cane@gmail.com>  Mon, 25 May 2015 16:37:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: zotero-standalone-build
 Section: text
 Priority: optional
-Maintainer: Michele Cane <michele.cane@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), zip, unzip, mozilla-devscripts (>= 0.22)
-Standards-Version: 3.9.5
+Maintainer: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Benda Xu <heroxbd@gentoo.org>
+Build-Depends: debhelper (>= 10), zip, unzip, mozilla-devscripts (>= 0.22),
+               javahelper, default-jdk, rsync,
+               ure, libreoffice-java-common, libjna-java,
+               libjackson2-core-java, libjackson2-annotations-java,
+               libjackson2-databind-java
+Standards-Version: 3.9.8
 Homepage: http://www.zotero.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zotero-standalone.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/zotero-standalone.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/zotero-standalone-build.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zotero-standalone-build.git
 
 Package: zotero-standalone
 Architecture: all
-Depends: xulrunner-17.0 | xulrunner-20.0 | xulrunner-24.0 | xulrunner-29 | iceweasel (>= 30), ${misc:Depends}
+Depends: firefox-esr (>= 45) | firefox (>= 45), ${misc:Depends}
 Enhances: libreoffice-libreoffice-integration
 Description: organize and share your research sources
  Zotero helps you collect, manage, and cite your research sources.
@@ -22,7 +27,7 @@
  resources available in hundreds of databases, library catalogs and the web.
  .
  This package contains the standalone version of Zotero which does not
- require any Iceweasel/Firefox browser.
+ run within the Firefox browser (though it still uses its engine).
 
 Package: xul-ext-zotero
 Architecture: all
@@ -30,7 +35,8 @@
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
-Description: Iceweasel extension to organize and share your research sources
+Breaks: ${xpi:Breaks}
+Description: Firefox extension to organize and share your research sources
  Zotero helps you collect, manage, and cite your research sources.
  .
  Zotero allows you to store your libraries online, so that they can be
@@ -41,7 +47,7 @@
 
 Package: libreoffice-zotero-integration
 Architecture: all
-Depends: zotero-standalone | xul-ext-zotero, libreoffice-java-common, ${misc:Depends}
+Depends: zotero-standalone | xul-ext-zotero, ${misc:Depends}, ${java:Depends}
 Recommends: libreoffice-writer
 Replaces: zotero-libreoffice-integration (<< 4.0.6-1)
 Breaks: zotero-libreoffice-integration (<< 4.0.6-1)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export CLASSPATH=/usr/share/java/jackson-core.jar:/usr/share/java/jackson-annotations.jar:/usr/share/java/jackson-databind.jar:/usr/share/java/jna.jar:/usr/share/java/juh.jar:/usr/share/java/ridl.jar:/usr/share/java/unoil.jar
export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with xul-ext,javahelper

override_dh_auto_build:
	# Create the XPI file
	mkdir -p zotero-build/xpi/build/
	cp -a zotero zotero-build/xpi/build/
	./zotero-build/xpi/build_xpi_4.0 zotero

	# Build the standalone package
	./zotero-standalone-build/build.sh -p l -s -f $$(pwd)/zotero-build/xpi/build/zotero-build.xpi

override_jh_build:
	jh_build -N zotero-standalone-build/modules/zotero-libreoffice-integration/build/oxt/Zotero.jar zotero-standalone-build/modules/zotero-libreoffice-integration/build/source
	# Add the RegistrationHandler.classes file
	jar uf zotero-standalone-build/modules/zotero-libreoffice-integration/build/oxt/Zotero.jar -C zotero-standalone-build/modules/zotero-libreoffice-integration/build/source org/zotero/integration/ooo/comp/RegistrationHandler.classes

override_dh_auto_install:
	rm -f zotero-standalone-build/staging/zotero-standalone/COPYING
	install-xpi -p xul-ext-zotero -r zotero-build/xpi/build/zotero-build.xpi

# We don't want to act on the jar in zotero-standalone (which is codeless)
override_jh_manifest:
	jh_manifest -plibreoffice-zotero-integration

# We don't want to act on the jar in zotero-standalone (which is codeless)
override_jh_depends:
	jh_depends -plibreoffice-zotero-integration

override_dh_auto_clean:
	rm -rf zotero-build/xpi/build/
	rm -rf zotero-standalone-build/staging zotero-standalone-build/dist
	rm -f zotero-standalone-build/modules/zotero-libreoffice-integration/build/oxt/Zotero.jar

# Update the following variables for each new upstream release
COMMIT_VERSION=4.0.29.16+dfsg
Z_COMMIT=55ee55ed7b
ZB_COMMIT=171117f0c7
ZSB_COMMIT=0e725a7e9c

get-orig-source:
	if [ "$(DEB_VERSION_UPSTREAM)" != "$(COMMIT_VERSION)" ]; then \
		echo "Debian version and commit version do not match."; \
		exit 1; \
	fi

	rm -rf zotero-standalone-build-$(DEB_VERSION_UPSTREAM)

	# Zotero
	git clone https://github.com/zotero/zotero.git zotero-standalone-build-$(DEB_VERSION_UPSTREAM)/zotero
	cd zotero-standalone-build-$(DEB_VERSION_UPSTREAM)/zotero && \
		git checkout $(Z_COMMIT) && \
		git submodule update --init --recursive

	# Zotero-build
	git clone https://github.com/zotero/zotero-build.git zotero-standalone-build-$(DEB_VERSION_UPSTREAM)/zotero-build
	cd zotero-standalone-build-$(DEB_VERSION_UPSTREAM)/zotero-build/ && \
		git checkout $(ZB_COMMIT) && \
		git submodule update --init --recursive

	# Zotero-standalone-build
	git clone https://github.com/zotero/zotero-standalone-build.git zotero-standalone-build-$(DEB_VERSION_UPSTREAM)/zotero-standalone-build
	cd zotero-standalone-build-$(DEB_VERSION_UPSTREAM)/zotero-standalone-build/ && \
		git checkout $(ZSB_COMMIT) && \
		git submodule update --init --recursive && \
		git submodule deinit modules/zotero-word-for-mac-integration && \
		git submodule deinit modules/zotero-word-for-windows-integration && \
		rm -rf win/ mac/* linux/updater-* modules/zotero-libreoffice-integration/build/lib/*.jar modules/zotero-libreoffice-integration/install/Zotero_OpenOffice_Integration.oxt

	# Pack reproducible orig tarball
	tar -caf zotero-standalone-build_$(DEB_VERSION_UPSTREAM).orig.tar.xz \
		--format=pax --owner=root --group=root --mode='a=rX,u+w' --sort=name --exclude-vcs \
		--mtime=@`cd zotero-standalone-build-$(DEB_VERSION_UPSTREAM)/zotero-standalone-build/ && git log -n1 --format=%ct` \
		zotero-standalone-build-$(DEB_VERSION_UPSTREAM)
	rm -rf zotero-standalone-build-$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/<project>-$1.tar.gz/,dversionmangle=s/\+dfsg\d*$// \
  https://github.com/zotero/zotero/tags .*/v?(\d[\d\.]+)\.tar\.gz
